Skip to content

Request login OTP

POST
/cms/customer/login/request
curl --request POST \
--url https://api.example.com/cms/customer/login/request \
--header 'API-Key: <API-Key>' \
--header 'Content-Type: application/json' \
--data '{ "email": "example", "client_id": "example", "client_secret": "example", "code_challenge": "example", "code_challenge_method": "example", "redirect_url": "example" }'
Media typeapplication/json
object
email
string
client_id
string
client_secret
string
code_challenge
string
code_challenge_method
string
redirect_url

Absolute URL of the page the customer was on. Must be on one of the site’s domains, otherwise it is ignored. Available in the customer_login e-mail as {{redirect_url}} to build a click-to-login link.

string

Example generated

{
"email": "example",
"client_id": "example",
"client_secret": "example",
"code_challenge": "example",
"code_challenge_method": "example",
"redirect_url": "example"
}

OTP request result

Media typeapplication/json
object
completed
boolean

Example generated

{
"completed": true
}